%define upstream_name	 IPC-Run
%define upstream_version 0.84

%define _requires_exceptions Win32

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 1

Summary:	%{upstream_name} module for perl
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
IPC::Run allows you run and interact with child processes using files,
pipes, and pseudo-ttys. Both system()-style and scripted usages are
supported and may be mixed. Likewise, functional and OO API styles are
both supported and may be mixed.

Various redirection operators reminiscent of those seen on common Unix
and DOS command lines are provided.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes
chmod 755 eg/*
perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' eg/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes TODO eg
%{perl_vendorlib}/IPC
%{_mandir}/*/*


%changelog
* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.840.0-1mdv2010.0
+ Revision: 402562
- update to 0.56

* Wed Jul 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.84-1mdv2010.0
+ Revision: 396221
- update to new version 0.84

* Fri Jul 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.83-1mdv2010.0
+ Revision: 394084
- update to new version 0.83

* Wed May 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.82-1mdv2010.0
+ Revision: 372503
- update to 0.82

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.80-3mdv2009.1
+ Revision: 351919
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.80-2mdv2009.0
+ Revision: 223803
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu May 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.80-1mdk
- New release 0.80
- better source URL

* Mon Jan 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.79-2mdk
- %%mkrel
- fix directory ownership
- spec cleanup
- correct sample scripts perms

* Thu Jan 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.79-1mdk
- 0.79
- Fix description and URL
- Don't include arch-specific subdirectories
- Add examples in the documentation

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.78-3mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.78-2mdk 
- rebuild

* Wed Apr 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.78-1mdk
- new version
- rpmbuildupdate aware
- make test

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.75-4mdk
- fixed dir ownership (distlint)

* Sat Aug 16 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.75-3mdk
- rebuild for new perl
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.75-2mdk
- rebuild for new auto{prov,req}

